Laravel 5

installation de laravel

  • Avatar de bayihdominque
    Membre depuis :
    14/11/2018
    Messages :
    1

    bonjour je debute avec laravel, et je n'arrive pas a telecharger tout le package laravel en ligne de commande on m'affiche les informations suivantes lorsque je lance la commande composer create-project --prefer-dist laravel/laravel DILApplication
    Installing laravel/laravel (v5.7.13)

    • Installing laravel/laravel (v5.7.13): Downloading (100%)
      Created project in DILApplication

      @php -r "file_exists('.env') || copy('.env.example', '.env');"
      Loading composer repositories with package information
      Updating dependencies (including require-dev)
      Package operations: 72 installs, 0 updates, 0 removals

    • Installing vlucas/phpdotenv (v2.5.1): Loading from cache
    • Installing symfony/css-selector (v4.1.7): Loading from cache
    • Installing tijsverkoyen/css-to-inline-styles (2.2.1): Loading from cache
    • Installing symfony/polyfill-php72 (v1.10.0): Loading from cache
    • Installing symfony/polyfill-mbstring (v1.10.0): Loading from cache
    • Installing symfony/var-dumper (v4.1.7): Loading from cache
    • Installing symfony/routing (v4.1.7): Loading from cache
    • Installing symfony/process (v4.1.7): Loading from cache
    • Installing symfony/polyfill-ctype (v1.10.0): Loading from cache
    • Installing symfony/http-foundation (v4.1.7): Loading from cache
    • Installing symfony/event-dispatcher (v4.1.7): Loading from cache
    • Installing psr/log (1.0.2): Loading from cache
    • Installing symfony/debug (v4.1.7): Loading from cache
    • Installing symfony/http-kernel (v4.1.7): Loading from cache
    • Installing symfony/finder (v4.1.7): Loading from cache
    • Installing symfony/console (v4.1.7): Loading from cache
    • Installing doctrine/lexer (v1.0.1): Loading from cache
    • Installing egulias/email-validator (2.1.6): Downloading (100%)
    • Installing swiftmailer/swiftmailer (v6.1.3): Downloading (100%)
    • Installing paragonie/random_compat (v9.99.99): Downloading (100%)
    • Installing ramsey/uuid (3.8.0): Downloading (100%)
    • Installing psr/simple-cache (1.0.1): Downloading (100%)
    • Installing psr/container (1.0.0): Downloading (100%)
    • Installing opis/closure (3.1.1): Downloading (100%)
    • Installing symfony/translation (v4.1.7): Downloading (100%)
    • Installing nesbot/carbon (1.34.4): Downloading (100%)
    • Installing monolog/monolog (1.24.0): Downloading (100%)
    • Installing league/flysystem (1.0.46): Downloading (100%)
    • Installing erusev/parsedown (1.7.1): Downloading (100%)
    • Installing dragonmantank/cron-expression (v2.2.0): Downloading (100%)
    • Installing doctrine/inflector (v1.3.0): Downloading (100%)
    • Installing laravel/framework (v5.7.13): Downloading (100%)
    • Installing fideloper/proxy (4.0.0): Downloading (failed)
      Downloading (failed)
      Downloading (failed) Failed to download fideloper/proxy from dist: The "https://api.github.com/repos/fideloper/TrustedProxy/zipball/cf8a0ca4b85659b9557e206c90110a6a4dba980a" file could not be downloaded: php_network_getaddresses: getaddrinfo failed: H�te inconnu.
      failed to open stream: php_network_getaddresses: getaddrinfo failed: H�te inconnu.
      Now trying to download from source
    • Installing fideloper/proxy (4.0.0): Cloning cf8a0ca4b8

      [RuntimeException]
      Failed to clone https://github.com/fideloper/TrustedProxy.git, git was not found, check that it i
      s installed and in your PATH env.

      'git' n’est pas reconnu en tant que commande interne
      ou externe, un programme exécutable ou un fichier de commandes.

    create-project [-s|--stability STABILITY] [--prefer-source] [--prefer-dist] [--repository REPOSITORY] [--repository-url REPOSITORY-URL] [--dev] [--no-dev] [--no-custom-installers] [--no-scripts] [--no-progress] [--no-secure-http] [--keep-vcs] [--remove-vcs] [--no-install] [--ignore-platform-reqs] [--] [] [] []

    C:\Users\LGBD>

  • Avatar de bestmomo
    Membre depuis :
    07/04/2013
    Messages :
    2285

    Bonjour,

    Le problème est écrit en toutes lettres :

    'git' n’est pas reconnu en tant que commande interne ou externe, un programme exécutable ou un fichier de commandes.

    Donc il faut installer git.

Vous ne pouvez pas répondre à ce sujet.